/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package StoneBreak.StoneBreakGame.Blocks;

import StoneBreak.StoneBreakGame.Globals;
import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics2D;

/**
 *
 * @author SUN2K
 */
public class BlockType2Hits extends BlockBaseType
{

    private Color colorDarker;
    private Color colorLigther;

    private int state;

    public BlockType2Hits()
    {
        super();

        colorDarker = Color.GRAY.darker();
        colorLigther = Color.GRAY.brighter().brighter();

        state = 2;
    }

    @Override
    public void draw(Graphics2D g)
    {
        if (internalState == BlockState.NORMAL)
        {
            GradientPaint gp = new GradientPaint(posX, posY, colorDarker,
                                        posX + Globals.BLOCKSIZE_X, posY + Globals.BLOCKSIZE_Y, colorLigther, false);
            g.setPaint(gp);
            g.fillRect(posX, posY, Globals.BLOCKSIZE_X, Globals.BLOCKSIZE_Y);
            drawBlockBorder(g);
        }
        else 
            super.draw(g);
    }

    @Override
    public void hit()
    {
        state--;
        if (state == 1)
        {
            colorDarker = Color.GRAY.darker().darker();
            colorLigther = Color.GRAY.brighter();
        }
        else
        {
            state = 0;
            finalHit();
        }
    }

    public int getScore()
    {
        return Globals.BLOCKSCORE_TYPE_2HITS;
    }
}
