/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package StoneBreak.StoneBreakGame;

import StoneBreak.StoneBreakGame.Blocks.BlockBaseType;

/**
 *
 * @author SUN2K
 */
public class GameLevel {

        /**
         * actual leveldata
         * First dimension: rows, that means in y-direction from top to bottom
         * Second dimension: colums, that means in x-direction from left to right
         */
        public BlockBaseType[][] levelData;
        private int levelSore;

        public GameLevel()
        {
            levelData = new BlockBaseType[Globals.NUM_BLOCKS_Y][Globals.NUM_BLOCKS_X];
            levelSore = 0;
        }

        public boolean IsBlockEmpty(int x, int y)
        {
            return (levelData[y][x].IsEmpty());
        }

        public void BlockIsHit(int x, int y)
        {
            levelSore += levelData[y][x].getScore();
            levelData[y][x].hit();
        }

        public boolean IsSpecialItemActive(int x, int y)
        {
            return levelData[y][x].isSpecialItemActive();
        }

        public double GetSpecialPosX(int x, int y)
        {
            return levelData[y][x].getSpecialItemPosX();
        }

        public double GetSpecialPosY(int x, int y)
        {
            return levelData[y][x].getSpecialItemPosY();
        }

        public Globals.BLOCK_SPECIAL_ITEM GetSpecialItem(int x, int y)
        {
             return levelData[y][x].getSpecialItem();
        }

        public void RemoveSpecialItem(int x, int y)
        {
             levelData[y][x].removeSpecialItem();
        }

        public void MoveSpecialItem(int x, int y)
        {
            levelData[y][x].MoveSpecialItem();
        }

        public int getCurrentLevelScore()
        {
            return levelSore;
        }

        public void resetLevelScore()
        {
            levelSore = 0;
        }
    }
