/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package StoneBreak.StoneBreakGame.Blocks;

import StoneBreak.StoneBreakGame.Globals;
import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics2D;

/**
 *
 * @author SUN2K
 */
public class BlockTypeUnbreakable extends BlockBaseType
{
    private Color color1 = Color.ORANGE.darker().darker();
    private Color color2 = Color.YELLOW;

    @Override
    public void draw(Graphics2D g)
    {
        if (internalState == BlockState.NORMAL)
        {
            GradientPaint gp = new GradientPaint(posX, posY, color1,
                                        posX + Globals.BLOCKSIZE_X, posY + Globals.BLOCKSIZE_Y, color2, false);
            g.setPaint(gp);
            g.fillRect(posX, posY, Globals.BLOCKSIZE_X, Globals.BLOCKSIZE_Y);
            drawBlockBorder(g);
        }
        else
            super.draw(g);
    }

    @Override
    public void hit()
    {
        /*isActive = true;*/
        /*isEmpty = false; */
    }

    public int getScore()
    {
        return Globals.BLOCKSCORE_TYPE_UNBREAKABLE;
    }
}
